import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "hrorganizationgridview": {
            "title": "组织",
            "caption": "组织",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationGridView",
            "viewtag": "0d8ac739134947cc5f6545d4041024de"
        },
        "hroperationunitgridview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitGridView",
            "viewtag": "286e8ac9eca7b6eb8058fde93995db10"
        },
        "hroperationuniteditview": {
            "title": "运营单位编辑视图",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitEditView",
            "viewtag": "28aca0d4ad43b8ef609172d9be9359c7"
        },
        "hrlegalgridview": {
            "title": "法人",
            "caption": "法人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalGridView",
            "viewtag": "41036146909ab3f28ff59b80370514b2"
        },
        "pim": {
            "title": "应用首页视图",
            "caption": "基础管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "PIM",
            "viewtag": "49CD8BAE-D640-4816-8313-5D8609BB0041"
        },
        "hremployeegridview": {
            "title": "员工表格视图",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeGridView",
            "viewtag": "9559258a9c3ac118e15ead941b780682"
        },
        "hrorganizationeditview": {
            "title": "组织编辑视图",
            "caption": "组织",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationEditView",
            "viewtag": "b4ef4b87eb87fc3a2a8479027d62ac4c"
        },
        "hremployeeeditview": {
            "title": "员工编辑视图",
            "caption": "员工",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeEditView",
            "viewtag": "b932c0eb66409c638c29ee27ba4fda37"
        },
        "hrlegaleditview": {
            "title": "法人编辑视图",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalEditView",
            "viewtag": "e50ad3e1883bafa2d6f264d44ca8ff89"
        }
    }];
});