import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: "CL_HR_0001",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "COSTCENTER",
                label: "成本中心",
                text: "成本中心",
                "data":"",
                "codename":"Costcenter",
                value: "COSTCENTER",
                
                disabled: false,
            },
            {
                id: "BUSINESSUNIT",
                label: "业务单位",
                text: "业务单位",
                "data":"",
                "codename":"Businessunit",
                value: "BUSINESSUNIT",
                
                disabled: false,
            },
            {
                id: "DEPARTMENT",
                label: "部门",
                text: "部门",
                "data":"",
                "codename":"Department",
                value: "DEPARTMENT",
                
                disabled: false,
            },
            {
                id: "COMMERCIAL",
                label: "商业渠道",
                text: "商业渠道",
                "data":"",
                "codename":"Commercial",
                value: "COMMERCIAL",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "OrganizationType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "LEGAL",
                label: "法人",
                text: "法人",
                "data":"",
                "codename":"Legal",
                value: "LEGAL",
                
                disabled: false,
            },
            {
                id: "OPERATIONUNIT",
                label: "运营单位",
                text: "运营单位",
                "data":"",
                "codename":"Operationunit",
                value: "OPERATIONUNIT",
                
                disabled: false,
            },
        ]
    }
    ]];
});

